searchData={"items":[{"type":"module","title":"TinyColor","doc":"TinyColor is an elixir port of the javascript tinycolor2 library used to manipulate color values\nand convert them to different color spaces. Alpha is supported for all color spaces.\n\nCurrently it supports RGB, HSV, HSL, and the OKLab color space. All supported color spaces can\nbe used in any method; however, most operations are implemented by converting the provided color\ninto a specific color space, and so there will be some additional accuracy loss.","ref":"TinyColor.html"},{"type":"module","title":"Parsing CSS colors - TinyColor","doc":"`TinyColor.parser` defines a parser that will interpret CSS Level 3 compliant color codes into\nthe appropriate TinyColor struct.","ref":"TinyColor.html#module-parsing-css-colors"},{"type":"module","title":"Rendering colors in html and json - TinyColor","doc":"TinyColor implements the protocol for Jason and Phoenix so that colors can be directly rendered in\nboth HTML and json responses as css compatible color codes.","ref":"TinyColor.html#module-rendering-colors-in-html-and-json"},{"type":"function","title":"TinyColor.brighten/2","doc":"","ref":"TinyColor.html#brighten/2"},{"type":"function","title":"TinyColor.brightness/1","doc":"","ref":"TinyColor.html#brightness/1"},{"type":"function","title":"TinyColor.contrast/2","doc":"","ref":"TinyColor.html#contrast/2"},{"type":"function","title":"TinyColor.dark?/1","doc":"","ref":"TinyColor.html#dark?/1"},{"type":"function","title":"TinyColor.darken/2","doc":"","ref":"TinyColor.html#darken/2"},{"type":"function","title":"TinyColor.desaturate/2","doc":"","ref":"TinyColor.html#desaturate/2"},{"type":"function","title":"TinyColor.equal?/2","doc":"Checks for equality of two colors.","ref":"TinyColor.html#equal?/2"},{"type":"function","title":"TinyColor.grayscale/1","doc":"","ref":"TinyColor.html#grayscale/1"},{"type":"function","title":"TinyColor.hsl/4","doc":"Parses the given values into an HSL struct","ref":"TinyColor.html#hsl/4"},{"type":"function","title":"Examples - TinyColor.hsl/4","doc":"iex> TinyColor.hsl(128, 0.41, 0.13)\n    %TinyColor.HSL{hue: 128.0, saturation: 41.0, lightness: 13.0, alpha: 1.0}\n\n    iex> TinyColor.hsl(450, 0.41, 0.13)\n    %TinyColor.HSL{alpha: 1.0, hue: 90.0, lightness: 13.0, saturation: 41.0}\n\n    iex> TinyColor.hsl(128, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSL{hue: 128.0, saturation: 26.5, lightness: 54.0, alpha: 1.0}\n\n    iex> TinyColor.hsl(450, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSL{alpha: 1.0, hue: 90.0, lightness: 54.0, saturation: 26.5}\n\n    iex> TinyColor.hsl({0.54, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSL{hue: 194.4, saturation: 26.5, lightness: 54.0, alpha: 1.0}\n\n    iex> TinyColor.hsl({1.4, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSL{alpha: 1.0, hue: 143.99999999999994, lightness: 54.0, saturation: 26.5}\n\n    iex> TinyColor.hsl(128, 0.41, 0.13, 0.5)\n    %TinyColor.HSL{hue: 128.0, saturation: 41.0, lightness: 13.0, alpha: 0.5}\n\n    iex> TinyColor.hsl(450, 0.41, 0.13, 0.5)\n    %TinyColor.HSL{alpha: 0.5, hue: 90.0, lightness: 13.0, saturation: 41.0}\n\n    iex> TinyColor.hsl(128, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSL{hue: 128.0, saturation: 26.5, lightness: 54.0, alpha: 0.5}\n\n    iex> TinyColor.hsl(450, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSL{alpha: 0.5, hue: 90.0, lightness: 54.0, saturation: 26.5}\n\n    iex> TinyColor.hsl({0.54, :percent}, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSL{hue: 194.4, saturation: 26.5, lightness: 54.0, alpha: 0.5}\n\n    iex> TinyColor.hsl({1.4, :percent}, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSL{alpha: 0.5, hue: 143.99999999999994, lightness: 54.0, saturation: 26.5}","ref":"TinyColor.html#hsl/4-examples"},{"type":"function","title":"TinyColor.hsv/4","doc":"Parses the given values into an HSL struct","ref":"TinyColor.html#hsv/4"},{"type":"function","title":"Examples - TinyColor.hsv/4","doc":"iex> TinyColor.hsv(128, 0.41, 0.13)\n    %TinyColor.HSV{hue: 128.0, saturation: 41.0, value: 13.0}\n\n    iex> TinyColor.hsv(450, 0.41, 0.13)\n    %TinyColor.HSV{hue: 90.0, saturation: 41.0, value: 13.0}\n\n    iex> TinyColor.hsv(128, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 128.0, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv(450, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 90.0, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv({0.54, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 194.4, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv({1.4, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 143.99999999999994, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv(128, 0.41, 0.13)\n    %TinyColor.HSV{hue: 128.0, saturation: 41.0, value: 13.0, alpha: 1.0}\n\n    iex> TinyColor.hsv(450, 0.41, 0.13)\n    %TinyColor.HSV{alpha: 1.0, hue: 90.0, saturation: 41.0, value: 13.0}\n\n    iex> TinyColor.hsv(128, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 128.0, saturation: 26.5, value: 54.0, alpha: 1.0}\n\n    iex> TinyColor.hsv(450, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{alpha: 1.0, hue: 90.0, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv({0.54, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{hue: 194.4, saturation: 26.5, value: 54.0, alpha: 1.0}\n\n    iex> TinyColor.hsv({1.4, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.HSV{alpha: 1.0, hue: 143.99999999999994, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv(128, 0.41, 0.13, 0.5)\n    %TinyColor.HSV{hue: 128.0, saturation: 41.0, value: 13.0, alpha: 0.5}\n\n    iex> TinyColor.hsv(450, 0.41, 0.13, 0.5)\n    %TinyColor.HSV{alpha: 0.5, hue: 90.0, saturation: 41.0, value: 13.0}\n\n    iex> TinyColor.hsv(128, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSV{hue: 128.0, saturation: 26.5, value: 54.0, alpha: 0.5}\n\n    iex> TinyColor.hsv(450, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSV{alpha: 0.5, hue: 90.0, saturation: 26.5, value: 54.0}\n\n    iex> TinyColor.hsv({0.54, :percent}, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSV{hue: 194.4, saturation: 26.5, value: 54.0, alpha: 0.5}\n\n    iex> TinyColor.hsv({1.4, :percent}, {0.265, :percent}, {0.54, :percent}, 0.5)\n    %TinyColor.HSV{alpha: 0.5, hue: 143.99999999999994, saturation: 26.5, value: 54.0}","ref":"TinyColor.html#hsv/4-examples"},{"type":"function","title":"TinyColor.light?/1","doc":"","ref":"TinyColor.html#light?/1"},{"type":"function","title":"TinyColor.lighten/2","doc":"","ref":"TinyColor.html#lighten/2"},{"type":"function","title":"TinyColor.luminance/1","doc":"","ref":"TinyColor.html#luminance/1"},{"type":"function","title":"TinyColor.mix/3","doc":"","ref":"TinyColor.html#mix/3"},{"type":"function","title":"TinyColor.most_readable/3","doc":"","ref":"TinyColor.html#most_readable/3"},{"type":"function","title":"TinyColor.oklab/4","doc":"","ref":"TinyColor.html#oklab/4"},{"type":"function","title":"TinyColor.readable?/3","doc":"","ref":"TinyColor.html#readable?/3"},{"type":"function","title":"TinyColor.rgb/4","doc":"Parses the given values into an RGB struct","ref":"TinyColor.html#rgb/4"},{"type":"function","title":"Examples - TinyColor.rgb/4","doc":"iex> TinyColor.rgb(128, 129, 130)\n    %TinyColor.RGB{red: 128.0, green: 129.0, blue: 130.0, alpha: 1.0}\n\n    iex> TinyColor.rgb(333, 129, 130)\n    %TinyColor.RGB{alpha: 1.0, blue: 130.0, green: 129.0, red: 255.0}\n\n    iex> TinyColor.rgb(128, 129, 130, 0.5)\n    %TinyColor.RGB{red: 128.0, green: 129.0, blue: 130.0, alpha: 0.5}\n\n    iex> TinyColor.rgb(128, 129, 130, -0.5)\n    %TinyColor.RGB{alpha: 0.0, blue: 130.0, green: 129.0, red: 128.0}\n\n    iex> TinyColor.rgb({0.125, :percent}, {0.265, :percent}, {0.525, :percent})\n    %TinyColor.RGB{red: 31.875, green: 67.575, blue: 133.875, alpha: 1.0}\n\n    iex> TinyColor.rgb({1.4, :percent}, {0.265, :percent}, {0.54, :percent})\n    %TinyColor.RGB{alpha: 1.0, blue: 137.70000000000002, green: 67.575, red: 255.0}\n\n    iex> TinyColor.rgb({0.125, :percent}, {0.265, :percent}, {0.525, :percent}, 0.5)\n    %TinyColor.RGB{red: 31.875, green: 67.575, blue: 133.875, alpha: 0.5}\n\n    iex> TinyColor.rgb({0.54, :percent}, {0.265, :percent}, {0.54, :percent}, -0.5)\n    %TinyColor.RGB{alpha: 0.0, blue: 137.70000000000002, green: 67.575, red: 137.70000000000002}","ref":"TinyColor.html#rgb/4-examples"},{"type":"function","title":"TinyColor.saturate/2","doc":"","ref":"TinyColor.html#saturate/2"},{"type":"function","title":"TinyColor.shade/2","doc":"","ref":"TinyColor.html#shade/2"},{"type":"function","title":"TinyColor.spin/2","doc":"","ref":"TinyColor.html#spin/2"},{"type":"function","title":"TinyColor.tint/2","doc":"","ref":"TinyColor.html#tint/2"},{"type":"type","title":"TinyColor.color/0","doc":"A representation of a color in any supported system.","ref":"TinyColor.html#t:color/0"},{"type":"type","title":"TinyColor.contrast_level_option/0","doc":"","ref":"TinyColor.html#t:contrast_level_option/0"},{"type":"type","title":"TinyColor.font_size_option/0","doc":"","ref":"TinyColor.html#t:font_size_option/0"},{"type":"type","title":"TinyColor.hsl_color/0","doc":"A representation of a color in hue, saturation, lightness and alpha.","ref":"TinyColor.html#t:hsl_color/0"},{"type":"type","title":"TinyColor.hsv_color/0","doc":"A representation of a color in hue, saturation, value and alpha.","ref":"TinyColor.html#t:hsv_color/0"},{"type":"type","title":"TinyColor.oklab_color/0","doc":"A representation of a color in the oklab color space with optional alpha","ref":"TinyColor.html#t:oklab_color/0"},{"type":"type","title":"TinyColor.rgb_color/0","doc":"A representation of a color in red, green, blue and alpha.","ref":"TinyColor.html#t:rgb_color/0"},{"type":"protocol","title":"TinyColor.Conversions","doc":"","ref":"TinyColor.Conversions.html"},{"type":"function","title":"TinyColor.Conversions.to_hsl/1","doc":"converts a color into the HSL color space","ref":"TinyColor.Conversions.html#to_hsl/1"},{"type":"function","title":"TinyColor.Conversions.to_hsv/1","doc":"converts a color into the HSV color space","ref":"TinyColor.Conversions.html#to_hsv/1"},{"type":"function","title":"TinyColor.Conversions.to_oklab/1","doc":"converts a color into the OKLab color space","ref":"TinyColor.Conversions.html#to_oklab/1"},{"type":"function","title":"TinyColor.Conversions.to_rgb/1","doc":"converts a color into the sRGB color space","ref":"TinyColor.Conversions.html#to_rgb/1"},{"type":"type","title":"TinyColor.Conversions.t/0","doc":"All the types that implement this protocol.","ref":"TinyColor.Conversions.html#t:t/0"},{"type":"module","title":"TinyColor.HSL","doc":"Represents a color in the for of red, green, blue, and optional alpha","ref":"TinyColor.HSL.html"},{"type":"function","title":"TinyColor.HSL.new/4","doc":"","ref":"TinyColor.HSL.html#new/4"},{"type":"function","title":"TinyColor.HSL.percentages/1","doc":"","ref":"TinyColor.HSL.html#percentages/1"},{"type":"function","title":"TinyColor.HSL.to_string/2","doc":"Returns a string representation of this color. hex is only supported if alpha == 1.0","ref":"TinyColor.HSL.html#to_string/2"},{"type":"function","title":"Examples - TinyColor.HSL.to_string/2","doc":"iex> TinyColor.HSL.to_string(%TinyColor.HSL{hue: 128.0, saturation: 47.0, lightness: 50.0})\n    \"hsl(128, 47%, 50%)\"\n\n    iex> TinyColor.HSL.to_string(%TinyColor.HSL{hue: 128.0, saturation: 47.0, lightness: 50.0, alpha: 0.5})\n    \"hsla(128, 47%, 50%, 0.5)\"\n\n    iex> TinyColor.HSL.to_string(%TinyColor.HSL{hue: 128.0, saturation: 47.0, lightness: 50.0}, :hsla)\n    \"hsla(128, 47%, 50%, 1.0)\"\n\n    iex> TinyColor.HSL.to_string(%TinyColor.HSL{hue: 128.0, saturation: 47.0, lightness: 50.0, alpha: 0.5}, :hsla)\n    \"hsla(128, 47%, 50%, 0.5)\"","ref":"TinyColor.HSL.html#to_string/2-examples"},{"type":"module","title":"TinyColor.HSV","doc":"Represents a color in the for of red, green, blue, and optional alpha","ref":"TinyColor.HSV.html"},{"type":"function","title":"TinyColor.HSV.new/4","doc":"","ref":"TinyColor.HSV.html#new/4"},{"type":"function","title":"TinyColor.HSV.percentages/1","doc":"","ref":"TinyColor.HSV.html#percentages/1"},{"type":"function","title":"TinyColor.HSV.to_string/2","doc":"Returns a string representation of this color. hex is only supported if alpha == 1.0","ref":"TinyColor.HSV.html#to_string/2"},{"type":"function","title":"Examples - TinyColor.HSV.to_string/2","doc":"iex> TinyColor.HSV.to_string(%TinyColor.HSV{hue: 128.0, saturation: 47.0, value: 50.0})\n    \"hsv(128, 47%, 50%)\"\n\n    iex> TinyColor.HSV.to_string(%TinyColor.HSV{hue: 128.0, saturation: 47.0, value: 50.0, alpha: 0.5})\n    \"hsva(128, 47%, 50%, 0.5)\"\n\n    iex> TinyColor.HSV.to_string(%TinyColor.HSV{hue: 128.0, saturation: 47.0, value: 50.0}, :hsva)\n    \"hsva(128, 47%, 50%, 1.0)\"\n\n    iex> TinyColor.HSV.to_string(%TinyColor.HSV{hue: 128.0, saturation: 47.0, value: 50.0, alpha: 0.5}, :hsva)\n    \"hsva(128, 47%, 50%, 0.5)\"","ref":"TinyColor.HSV.html#to_string/2-examples"},{"type":"module","title":"TinyColor.Named","doc":"Provides utilities around named css colors","ref":"TinyColor.Named.html"},{"type":"function","title":"TinyColor.Named.find_name/1","doc":"","ref":"TinyColor.Named.html#find_name/1"},{"type":"function","title":"TinyColor.Named.get/1","doc":"","ref":"TinyColor.Named.html#get/1"},{"type":"module","title":"TinyColor.Normalize","doc":"","ref":"TinyColor.Normalize.html"},{"type":"function","title":"TinyColor.Normalize.cast/2","doc":"","ref":"TinyColor.Normalize.html#cast/2"},{"type":"module","title":"TinyColor.OKLab","doc":"Represents a color in the for of red, green, blue, and optional alpha","ref":"TinyColor.OKLab.html"},{"type":"function","title":"TinyColor.OKLab.new/4","doc":"","ref":"TinyColor.OKLab.html#new/4"},{"type":"function","title":"TinyColor.OKLab.to_string/2","doc":"Returns a string representation of this color.","ref":"TinyColor.OKLab.html#to_string/2"},{"type":"function","title":"Examples - TinyColor.OKLab.to_string/2","doc":"iex> TinyColor.OKLab.to_string(%TinyColor.OKLab{l: 128.0, a: 47.0, b: 50.0})\n    \"oklab(128, 47, 50)\"\n\n    iex> TinyColor.OKLab.to_string(%TinyColor.OKLab{l: 128.0, a: 47.0, b: 50.0, alpha: 0.5})\n    \"oklab(128, 47, 50, 0.5)\"\n\n    iex> TinyColor.OKLab.to_string(%TinyColor.OKLab{l: 128.0, a: 47.0, b: 50.0}, :laba)\n    \"oklab(128, 47, 50, 1.0)\"\n\n    iex> TinyColor.OKLab.to_string(%TinyColor.OKLab{l: 128.0, a: 47.0, b: 50.0, alpha: 0.5}, :laba)\n    \"oklab(128, 47, 50, 0.5)\"","ref":"TinyColor.OKLab.html#to_string/2-examples"},{"type":"module","title":"TinyColor.Parser","doc":"Provides a parser for css 3 color strings","ref":"TinyColor.Parser.html"},{"type":"function","title":"TinyColor.Parser.css_color/2","doc":"Parses the given `binary` as css_color.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the css_color (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"TinyColor.Parser.html#css_color/2"},{"type":"function","title":"Options - TinyColor.Parser.css_color/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"TinyColor.Parser.html#css_color/2-options"},{"type":"function","title":"TinyColor.Parser.css_unit/2","doc":"Parses the given `binary` as css_unit.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the css_unit (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"TinyColor.Parser.html#css_unit/2"},{"type":"function","title":"Options - TinyColor.Parser.css_unit/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"TinyColor.Parser.html#css_unit/2-options"},{"type":"function","title":"TinyColor.Parser.parse/1","doc":"Parses a CSS Level 3 compliant color code into a TinyColor struct","ref":"TinyColor.Parser.html#parse/1"},{"type":"function","title":"Examples - TinyColor.Parser.parse/1","doc":"iex> TinyColor.Parser.parse(\"#08f\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 136.0, blue: 255.0}}\n\n    iex> TinyColor.Parser.parse(\"#08ff\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 136.0, blue: 255.0, alpha: 1.0}}\n\n    iex> TinyColor.Parser.parse(\"rgb(0, 128, 255)\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 128.0, blue: 255.0}}\n\n    iex> TinyColor.Parser.parse(\"rgb 0% 50% 100%\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 127.5, blue: 255.0}}\n\n    iex> TinyColor.Parser.parse(\"rgba(0, 128, 255, 0.5)\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 128.0, blue: 255.0, alpha: 0.5}}\n\n    iex> TinyColor.Parser.parse(\"rgba 0% 50% 100% 50%\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 127.5, blue: 255.0, alpha: 0.5}}\n\n    iex> TinyColor.Parser.parse(\"rgba(0, 128, 255, 1.0)\")\n    {:ok, %TinyColor.RGB{red: 0.0, green: 128.0, blue: 255.0, alpha: 1.0}}","ref":"TinyColor.Parser.html#parse/1-examples"},{"type":"function","title":"TinyColor.Parser.parse!/1","doc":"","ref":"TinyColor.Parser.html#parse!/1"},{"type":"module","title":"TinyColor.RGB","doc":"Represents a color in the for of red, green, blue, and optional alpha","ref":"TinyColor.RGB.html"},{"type":"function","title":"TinyColor.RGB.new/4","doc":"","ref":"TinyColor.RGB.html#new/4"},{"type":"function","title":"TinyColor.RGB.percentages/1","doc":"","ref":"TinyColor.RGB.html#percentages/1"},{"type":"function","title":"TinyColor.RGB.to_string/2","doc":"Returns a string representation of this color. hex is only supported if alpha == 1.0","ref":"TinyColor.RGB.html#to_string/2"},{"type":"function","title":"Examples - TinyColor.RGB.to_string/2","doc":"iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 1.0})\n    \"#8081BE\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0})\n    \"#8081BE\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 0.5})\n    \"rgba(128, 129, 190, 0.5)\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0}, :hex)\n    \"#8081BE\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 1.0}, :hex)\n    \"#8081BE\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 0.5}, :hex)\n    \"#8081BE80\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0}, :rgb)\n    \"rgb(128, 129, 190)\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 1.0}, :rgb)\n    \"rgb(128, 129, 190)\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0}, :rgba)\n    \"rgba(128, 129, 190, 1.0)\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 1.0}, :rgba)\n    \"rgba(128, 129, 190, 1.0)\"\n\n    iex> TinyColor.RGB.to_string(%TinyColor.RGB{red: 128.0, green: 129.0, blue: 190.0, alpha: 0.5}, :rgba)\n    \"rgba(128, 129, 190, 0.5)\"","ref":"TinyColor.RGB.html#to_string/2-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}